Description

A couple pages in the docs mention specific commands, but there's no overall explanation of what it is, and how you can use it, e.g.

you can enable it for userspace clients, but must do so explicitly, while it's enabled for ceph daemons by default at

/var/run/ceph/$cluster-$name.asok.

History

#1 - 01/02/2013 10:45 AM - John Wilkins

- Assignee set to John Wilkins

#2 - 03/12/2013 02:47 PM - John Wilkins

- Status changed from New to In Progress

There is a high level mention here: http://ceph.com/docs/master/rados/operations/monitoring/#using-the-admin-socket

A runtime config specific mention here: http://ceph.com/docs/master/rados/configuration/ceph-conf/#viewing-a-configuration-at-runtime

A troubleshooting mention here: http://ceph.com/docs/master/rados/operations/troubleshooting-osd/#admin-socket

#3 - 01/10/2020 10:30 AM - Zac Dover

- Status changed from In Progress to Closed

This bug has been judged too old to fix. This is because either it is either

1) raised against a version of Ceph prior to Luminous, or

2) just really old, and untouched for so long that it is unlikely nowadays to represent a live documentation concern.

If you think that the closing of this bug is an error, raise another bug of a similar kind. If you think that the matter requires urgent attention, please let

Zac Dover know at zac.dover@gmail.com.
